Bug 1411172 - [abrt] mediawriter: nouveau_fence_del(): mediawriter killed by SIGABRT
Summary: [abrt] mediawriter: nouveau_fence_del(): mediawriter killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9110c8f65db0dda92f8e1ab6c46...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 00:12 UTC by Russell Harrison
Modified: 2017-12-12 10:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:10:29 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (65.01 KB, text/plain)
2017-01-09 00:12 UTC, Russell Harrison
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-09 00:12 UTC, Russell Harrison
no flags Details
File: core_backtrace (5.01 KB, text/plain)
2017-01-09 00:12 UTC, Russell Harrison
no flags Details
File: dso_list (18.23 KB, text/plain)
2017-01-09 00:12 UTC, Russell Harrison
no flags Details
File: environ (1.69 KB, text/plain)
2017-01-09 00:12 UTC, Russell Harrison
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-09 00:12 UTC, Russell Harrison
no flags Details
File: maps (88.87 KB, text/plain)
2017-01-09 00:12 UTC, Russell Harrison
no flags Details
File: mountinfo (3.84 KB, text/plain)
2017-01-09 00:12 UTC, Russell Harrison
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-09 00:12 UTC, Russell Harrison
no flags Details
File: open_fds (2.13 KB, text/plain)
2017-01-09 00:12 UTC, Russell Harrison
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-09 00:12 UTC, Russell Harrison
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-09 00:12 UTC, Russell Harrison
no flags Details

Description Russell Harrison 2017-01-09 00:12:08 UTC
Description of problem:
Froze on start

Version-Release number of selected component:
mediawriter-4.0.7-0.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        mediawriter
crash_function: nouveau_fence_del
executable:     /usr/bin/mediawriter
global_pid:     31124
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 nouveau_fence_del at nouveau_fence.c:112
 #7 nouveau_fence_ref at nouveau_fence.h:54
 #8 nouveau_screen_fence_ref at nouveau_screen.c:68
 #9 swap_fences_pop_front at dri_drawable.c:320
 #10 dri_flush at dri_drawable.c:526
 #11 dri2SwapBuffers at dri2_glx.c:845
 #12 QGLXContext::swapBuffers at qglxintegration.cpp:541
 #13 QOpenGLContext::swapBuffers at kernel/qopenglcontext.cpp:1063
 #14 QSGRenderThread::syncAndRender at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:634
 #15 QSGRenderThread::run at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:710

Comment 1 Russell Harrison 2017-01-09 00:12:12 UTC
Created attachment 1238504 [details]
File: backtrace

Comment 2 Russell Harrison 2017-01-09 00:12:13 UTC
Created attachment 1238505 [details]
File: cgroup

Comment 3 Russell Harrison 2017-01-09 00:12:14 UTC
Created attachment 1238506 [details]
File: core_backtrace

Comment 4 Russell Harrison 2017-01-09 00:12:16 UTC
Created attachment 1238507 [details]
File: dso_list

Comment 5 Russell Harrison 2017-01-09 00:12:16 UTC
Created attachment 1238508 [details]
File: environ

Comment 6 Russell Harrison 2017-01-09 00:12:17 UTC
Created attachment 1238509 [details]
File: limits

Comment 7 Russell Harrison 2017-01-09 00:12:19 UTC
Created attachment 1238510 [details]
File: maps

Comment 8 Russell Harrison 2017-01-09 00:12:20 UTC
Created attachment 1238511 [details]
File: mountinfo

Comment 9 Russell Harrison 2017-01-09 00:12:21 UTC
Created attachment 1238512 [details]
File: namespaces

Comment 10 Russell Harrison 2017-01-09 00:12:22 UTC
Created attachment 1238513 [details]
File: open_fds

Comment 11 Russell Harrison 2017-01-09 00:12:23 UTC
Created attachment 1238514 [details]
File: proc_pid_status

Comment 12 Russell Harrison 2017-01-09 00:12:24 UTC
Created attachment 1238515 [details]
File: var_log_messages

Comment 13 rugk 2017-06-06 11:32:42 UTC
Anyone concerned to fix this?

In an upstream issue (https://github.com/MartinBriza/MediaWriter/issues/90) the author said, this is a driver issue of the nouveau driver.
It's especially bad as it happened to me exactly at the most important point where the program is used. And in my case it froze the *whole system*! That's the worst UX you can get. I would have expected it to be better for such an important, official Fedora tool! You cannot share Fedora with anyone when you cannot create an installation image!

Comment 14 Fedora End Of Life 2017-11-16 14:59:43 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:10:29 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.